﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace PanelBarTree
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void RadPanelBarItem_GotFocus(object sender, RoutedEventArgs e)
        {
            var currentPanelItem = (e.OriginalSource as UIElement).ParentOfType<RadPanelBarItem>();
            if (currentPanelItem != null)
            {
                if ((currentPanelItem as RadPanelBarItem).Items.Count != 0)
                {
                    (currentPanelItem as RadPanelBarItem).IsExpanded = true;
                    var textBoxChild = (currentPanelItem as RadPanelBarItem).Items[0];
                    if (textBoxChild != null)
                    {
                        System.Diagnostics.Debug.WriteLine((textBoxChild as TextBox).Name);
                        (textBoxChild as TextBox).Focus();
                    }
                }

            }
        }

    }
}
